Package Details: gsview 4.9-12

Git Clone URL: https://aur.archlinux.org/gsview.git (read-only)
Package Base: gsview
Description: A nice looking GUI for ghostscript with some extraction features
Upstream URL: http://pages.cs.wisc.edu/~ghost/gsview/get49.htm
Licenses: custom:Aladdin Free Public License
Submitter: ConnorBehan
Maintainer: ConnorBehan
Last Packager: ConnorBehan
Votes: 59
Popularity: 0.045464
First Submitted: 2007-09-09 01:29
Last Updated: 2016-04-28 17:35

Latest Comments

haawda commented on 2017-12-26 14:45

There are no sources for gsview 6.0 available, and the binary cannot be packaged easily (and btw. segfaults).

gmt commented on 2017-12-26 02:12

http://www.gsview.com/ But they claim that GSView (versions 6 and above) are produced by Artifex Software LLC, and should not be confused with GSview (versions below 6) which was produced by Russell Lang at Ghostgum Software Pty Ltd.

haawda commented on 2017-12-23 14:45

Where did you find 6.0?

gmt commented on 2017-12-23 03:39

But how about 6.0? Seems it has Linux version. Is it source-closed?

gmt commented on 2017-12-23 03:33

Sorry, didn't know 5.0 is Win only. I really like gsview, although old but always the best light-weight viewer for ps files!

ConnorBehan commented on 2017-12-20 06:24

5.0 is Windows only.

haawda commented on 2015-10-07 18:57

Builds fine here, but only after rebuilding and installing glib and gtk. Without so, I get the same error.

jpaechnatz commented on 2015-10-07 05:41

Does not build, I get multiple of these errors:

./obj/gvcdisp.o: In function `g_bit_nth_lsf':
/usr/include/glib-1.2/glib.h:1581: multiple definition of `g_bit_nth_lsf'
./obj/gvcmisc.o:/usr/include/glib-1.2/glib.h:1581: first defined here
./obj/gvcdisp.o: In function `g_bit_nth_msf':
/usr/include/glib-1.2/glib.h:1599: multiple definition of `g_bit_nth_msf'
./obj/gvcmisc.o:/usr/include/glib-1.2/glib.h:1599: first defined here
./obj/gvcdisp.o: In function `g_bit_storage':
/usr/include/glib-1.2/glib.h:1618: multiple definition of `g_bit_storage'
./obj/gvcmisc.o:/usr/include/glib-1.2/glib.h:1618: first defined here
./obj/gvccmd.o: In function `g_bit_nth_lsf':
/usr/include/glib-1.2/glib.h:1581: multiple definition of `g_bit_nth_lsf'
./obj/gvcmisc.o:/usr/include/glib-1.2/glib.h:1581: first defined here

GreenRaccoon23 commented on 2015-09-25 13:57

It looks like the source url on fossies changed. I had to use this one: http://fossies.org/unix/misc/old/ghost/ghostgum/${pkgname}-${pkgver}.tar.gz

aksr commented on 2012-08-30 07:17

@jpaechnatz:
Yes, you're right:
source=(http://fossies.org/unix/misc/ghost/ghostgum/${pkgname}-${pkgver}.tar.gz ${pkgname}.desktop)
@ConnorBehan:
I would put both urls. One commented, of course.

jpaechnatz commented on 2012-08-30 05:54

Working URL:
http://fossies.org/unix/misc/ghost/ghostgum/

aksr commented on 2012-08-28 03:52

@ConnorBehan:
Please change line 24:
from:
install -Dm644 "$srcdir"/$pkgname-$pkgver/srcunx/gsview.1 "$pkgdir"/usr/man/man1/gsview.1
to:
install -Dm644 "$srcdir"/$pkgname-$pkgver/srcunx/gsview.1 "$pkgdir"/usr/share/man/man1/gsview.1
Thank you.

aksr commented on 2012-08-28 03:51

@ConnorBehan:
Please change line 24 to:
from:
install -Dm644 "$srcdir"/$pkgname-$pkgver/srcunx/gsview.1 "$pkgdir"/usr/man/man1/gsview.1
to:
install -Dm644 "$srcdir"/$pkgname-$pkgver/srcunx/gsview.1 "$pkgdir"/usr/share/man/man1/gsview.1
Thank you.

ConnorBehan commented on 2012-05-18 01:23

They work for me. Please explain the specific error you're getting.

Anonymous comment on 2012-05-17 12:28

Flagged out of date since upstream sources do not work.

ConnorBehan commented on 2012-03-16 02:29

Gsview 5.0 is not for Linux yet.

ConnorBehan commented on 2011-07-15 02:09

Strange... I changed it to http anyway. If it helps one person, why not?

DRagon6621 commented on 2011-07-14 14:13

The FTP link still does not work for me. I tried for several days in two completely different systems (at home and at work). I do not have any proxy. Other FTP links work for me (e.g. I tried successfully more from http://www.archlinux.org/download/). When I click on the link in the browser it says "Oops! Google Chrome could not connect to mirror.cs.wisc.edu" (opera and firefox similarly) but if I change ftp to http the browser downloads it successfully. Similarly I get the previously posted error message and could install the package just after changing the link. It is not a serious problem. I just posted it to help others if they have the same problem.

ConnorBehan commented on 2011-07-14 00:40

Are you sure it's not a proxy issue or random server outage? I just tried and it worked.

-> Downloading gsview-4.9.tar.gz...
--2011-07-13 20:36:15-- ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsview-4.9.tar.gz
=> `gsview-4.9.tar.gz'
Resolving mirror.cs.wisc.edu... 128.105.103.12
Connecting to mirror.cs.wisc.edu|128.105.103.12|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done. ==> PWD ... done.
==> TYPE I ... done. ==> CWD (1) /pub/mirrors/ghost/ghostgum ... done.
==> SIZE gsview-4.9.tar.gz ... 892681
==> PASV ... done. ==> RETR gsview-4.9.tar.gz ... done.
Length: 892681 (872K) (unauthoritative)

100%[======================================>] 892,681 256K/s in 3.5s

2011-07-13 20:36:29 (249 KB/s) - `gsview-4.9.tar.gz' saved [892681]

DRagon6621 commented on 2011-07-13 13:43

The following http link works (just had to replace ftp to http):

http://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsview-4.9.tar.gz

DRagon6621 commented on 2011-07-13 13:31

The file is not available at the given ftp server.

-> Downloading gsview-4.9.tar.gz...
--2011-07-13 15:26:37-- ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsview-4.9.tar.gz
=> “gsview-4.9.tar.gz.part”
Resolving mirror.cs.wisc.edu... 128.105.103.12
Connecting to mirror.cs.wisc.edu|128.105.103.12|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done. ==> PWD ... done.
==> TYPE I ... done. ==> CWD (1) /pub/mirrors/ghost/ghostgum ... done.
==> SIZE gsview-4.9.tar.gz ... 892681
==> PASV ... couldn’t connect to 128.105.103.12 port 60623: Connection refused
==> ERROR: Failure while downloading gsview-4.9.tar.gz
Aborting...

steff commented on 2011-03-17 21:35

Works fine for me now, thanks a lot! :-)

ConnorBehan commented on 2011-03-17 15:46

Sorry guys, I have no idea how that happened.

haawda commented on 2011-03-17 11:39

fixed now, please re-adopt.

haawda commented on 2011-03-17 11:37

Confirmed. The uploaded file has a .gz extension, but it obviously is an ungzipped tar file.

steff commented on 2011-03-17 07:30

I get the error

gzip: stdin: not in gzip format

when trying to update. Any hints please?

haawda commented on 2011-03-07 05:28

windscape, for this reason there is an option: Put OPTION=('!makeflags') to the PKGBUILD.

Anonymous comment on 2011-03-07 00:09

Those of you that fail to build gsview need to comment out the MAKEFLAGS line in /etc/makepkg.conf temporarily, as gsview doesn't appear to support parallel jobs while compiling.

Anonymous comment on 2010-08-14 11:41

couldn't connect to 128.105.103.12 port 31563: Connection refused

haawda commented on 2010-07-12 21:54

Builds fine here, also x86_64.

Anonymous comment on 2010-07-12 12:11

I get the following on x86_64:

gcc: gcc: gvxlang.c: No such file or directory
gvxlang.c: No such file or directory
gcc: no input files
gcc: no input files
make: *** [obj/gvxl_de.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [obj/gvxl_es.o] Error 1
rm gvclang.rc
Aborting...
error: Build failed